Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1057866 - Multiseat: secondary display has garbled screen output with nouveau
Summary: Multiseat: secondary display has garbled screen output with nouveau
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-25 14:19 UTC by Paulo Fessel
Modified: 2015-06-29 14:45 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 14:45:23 UTC


Attachments (Terms of Use)
Multiseat rules for my system. Includes "master-of-seat" for nouveau, but it doesn't make any difference. (deleted)
2014-01-25 14:19 UTC, Paulo Fessel
no flags Details
/var/log/Xorg.0.log (Nvidia 9500 GT) - working display (LCD monitor) (deleted)
2014-01-25 14:30 UTC, Paulo Fessel
no flags Details
/var/log/Xorg.1.log (Nvidia GT620) - non-working display (plasma TV) (deleted)
2014-01-25 14:31 UTC, Paulo Fessel
no flags Details
GDM login prompt at plasma TV (deleted)
2014-01-25 14:33 UTC, Paulo Fessel
no flags Details
KDE session at plasma TV (deleted)
2014-01-25 14:33 UTC, Paulo Fessel
no flags Details

Description Paulo Fessel 2014-01-25 14:19:23 UTC
Created attachment 855411 [details]
Multiseat rules for my system. Includes "master-of-seat" for nouveau, but it doesn't make any difference.

Description of problem: I have a system with two graphic NVidia display adapters, one GT620 (connected to a plasma TV) and one 9500 GT (connected to my desktop monitor). When I enable multiseat with the nouveau, the secondary display (plasma TV) is activated, but the screen image is garbled. X server does not lock up, it is completely responsible but the image seems to have some timing problem.

I can even change resolutions and refresh rates with xrand, and I can distinguish that the different resolutions are selected and activated, but the screen is always garbled. NVidia proprietary drivers do work perfectly (although not in the multiseat mode).


Version-Release number of selected component (if applicable): 1.0.9-2.fc20


How reproducible: always


Steps to Reproduce:

1. Enable multiseat either manually or with udev definitions (attached to this message).
2. Configure gdm as the display manager with systemctl --force enable gdm.service.
3. Reboot system. 
Actual results: Login screen appears normally on the LCD monitor but garbled in the plasma TV panel.


Expected results: display on plasma TV should appear correctly as it does with Nvidia proprietary driver (even if I don't run it in multiseat mode).



Additional info: 

1) The HDMI input of my plasma TV is busted, so I use an HDFury II adapter to convert the HDMI signal to component video. This works correctly with all my home theather devices with HDMI outputs (Blu-ray player, HDMI receiver, cable TV set-top box and even my DSLR camera).

2) When I use proprietary NVidia drivers I can't activate the secondary display through gdm (see bug 878605). However, if I disable the udev multiseat rules, I can start the second X server on the GT620 board manually.

Comment 1 Paulo Fessel 2014-01-25 14:30:09 UTC
Created attachment 855412 [details]
/var/log/Xorg.0.log (Nvidia 9500 GT) - working display (LCD monitor)

Comment 2 Paulo Fessel 2014-01-25 14:31:24 UTC
Created attachment 855413 [details]
/var/log/Xorg.1.log (Nvidia GT620) - non-working display (plasma TV)

Comment 3 Paulo Fessel 2014-01-25 14:33:12 UTC
Created attachment 855414 [details]
GDM login prompt at plasma TV

Comment 4 Paulo Fessel 2014-01-25 14:33:49 UTC
Created attachment 855415 [details]
KDE session at plasma TV

Comment 5 Paulo Fessel 2014-01-25 14:35:41 UTC
I've tried a number of setups, but now even with no xorg.conf file the problem is exactly the same.

The seats are distributed correctly, and the keyboard which stays on the plasma TV room does not interfere with the keyboard on my office and vice-versa.

Comment 6 Paulo Fessel 2014-01-25 14:36:47 UTC
[pfessel@wotan ~]$ loginctl seat-status seat1
seat1
        Sessions: 2
         Devices:
                  ├─/sys/devices/pci0000:00/0000:00:0b.0/0000:02:00.0/drm/card1
                  │ [MASTER] drm:card1
                  ├─/sys/devices/pci0000:00/0000:00:0b.0/0000:02:00.0/graphics/fb1
                  │ [MASTER] graphics:fb1 "nouveaufb"
                  ├─/sys/devices/pci0000:00/0000:00:0b.0/0000:02:00.1/sound/card1
                  │ sound:card1 "NVidia"
                  │ ├─/sys/devices/pci0000:00/0000:00:0b.0/0000:02:00.1/sound/card1/input14
                  │ │ input:input14 "HDA NVidia HDMI/DP,pcm=3"
                  │ ├─/sys/devices/pci0000:00/0000:00:0b.0/0000:02:00.1/sound/card1/input15
                  │ │ input:input15 "HDA NVidia HDMI/DP,pcm=7"
                  │ ├─/sys/devices/pci0000:00/0000:00:0b.0/0000:02:00.1/sound/card1/input16
                  │ │ input:input16 "HDA NVidia HDMI/DP,pcm=8"
                  │ └─/sys/devices/pci0000:00/0000:00:0b.0/0000:02:00.1/sound/card1/input17
                  │   input:input17 "HDA NVidia HDMI/DP,pcm=9"
                  └─/sys/devices/pci0000:00/0000:00:16.0/usb7/7-1/7-1:1.2/0003:046D:C52B.0003/input/input13
                    input:input13 "Logitech Unifying Device. Wireless PID:400d"

Comment 7 Paulo Fessel 2014-01-25 14:37:51 UTC
seat0                                                                                                                                                                                   
        Sessions: *3 1 c3                                                                                                                                                               
         Devices:                                                                                                                                                                       
                  ├─/sys/devices/LNXSYSTM:00/LNXPWRBN:00/input/input1                                                                                                                   
                  │ input:input1 "Power Button"                                                                                                                                         
                  ├─/sys/devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input0                                                                                                          
                  │ input:input0 "Power Button"                                                                                                                                         
                  ├─/sys/devices/pci0000:00/0000:00:02.0/0000:07:00.0/drm/card0                                                                                                         
                  │ [MASTER] drm:card0                                                                                                                                                  
                  ├─/sys/devices/pci0000:00/0000:00:02.0/0000:07:00.0/graphics/fb0                                                                                                      
                  │ [MASTER] graphics:fb0 "nouveaufb"                                                                                                                                   
                  ├─/sys/devices/pci0000:00/0000:00:07.0/0000:03:00.0/usb8                                                                                                              
                  │ usb:usb8                                                                                                                                                            
                  ├─/sys/devices/pci0000:00/0000:00:07.0/0000:03:00.0/usb9                                                                                                              
                  │ usb:usb9                                                                                                                                                            
                  ├─/sys/devices/pci0000:00/0000:00:11.0/ata6/host5/target5:0:0/5:0:0:0/block/sr0                                                                                       
                  │ block:sr0                                                                                                                                                           
                  ├─/sys/devices/pci0000:00/0000:00:11.0/ata6/host5/target5:0:0/5:0:0:0/scsi_generic/sg5                                                                                
                  │ scsi_generic:sg5                                                                                                                                                    
                  ├─/sys/devices/pci0000:00/0000:00:12.0/usb4                                                                                                                           
                  │ usb:usb4
                  │ └─/sys/devices/pci0000:00/0000:00:12.0/usb4/4-5/4-5:1.0/input/input19
                  │   input:input19 "Sony PLAYSTATION(R)3 Controller"
                  │   ├─/sys/devices/pci0000:00/0000:00:12.0/usb4/4-5/4-5:1.0/input/input19/event16
                  │   │ input:event16
                  │   └─/sys/devices/pci0000:00/0000:00:12.0/usb4/4-5/4-5:1.0/input/input19/js0
                  │     input:js0
                  ├─/sys/devices/pci0000:00/0000:00:12.2/usb1
                  │ usb:usb1
                  │ └─/sys/devices/pci0000:00/0000:00:12.2/usb1/1-1
                  │   usb:1-1
                  │   ├─/sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1.1/1-1.1:1.0/input/input20
                  │   │ input:input20 "Microsoft Microsoft® 2.4GHz Transceiver v6.0"
                  │   ├─/sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1.1/1-1.1:1.1/input/input21
                  │   │ input:input21 "Microsoft Microsoft® 2.4GHz Transceiver v6.0"
                  │   ├─/sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1.1/1-1.1:1.2/input/input22
                  │   │ input:input22 "Microsoft Microsoft® 2.4GHz Transceiver v6.0"
                  │   ├─/sys/devices/pci0000:00/0000:00:12.2/usb1/1-1/1-1.2/1-1.2:1.0/input/input23
                  │   │ input:input23 "Wacom BambooFun 6x8"
                  │   ├─/sys/devices/pci000...00:00:12.2/usb1/1-1/1-1.3/1-1.3:1.0/host15/target15:0:0/15:0:0:1/block/sr2
                  │   │ block:sr2
                  │   └─/sys/devices/pci000....2/usb1/1-1/1-1.3/1-1.3:1.0/host15/target15:0:0/15:0:0:1/scsi_generic/sg12
                  │     scsi_generic:sg12
                  ├─/sys/devices/pci0000:00/0000:00:13.0/usb5
                  │ usb:usb5
                  ├─/sys/devices/pci0000:00/0000:00:13.2/usb2
                  │ usb:usb2
                  │ ├─/sys/devices/pci0000:00/0000:00:13.2/usb2/2-1/2-1:1.0/input/input18
                  │ │ input:input18 "UVC Camera (046d:0825)"
                  │ ├─/sys/devices/pci0000:00/0000:00:13.2/usb2/2-1/2-1:1.0/video4linux/video0
                  │ │ video4linux:video0 "UVC Camera (046d:0825)"
                  │ └─/sys/devices/pci0000:00/0000:00:13.2/usb2/2-1/2-1:1.2/sound/card2
                  │   sound:card2 "U0x46d0x825"
                  ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0
                  │ sound:card0 "SB"
                  │ ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input10
                  │ │ input:input10 "HDA ATI SB Line Out CLFE"
                  │ ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input11
                  │ │ input:input11 "HDA ATI SB Line Out Side"
                  │ ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input12
                  │ │ input:input12 "HDA ATI SB Front Headphone"
                  │ ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input5
                  │ │ input:input5 "HDA ATI SB Front Mic"
                  │ ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input6
                  │ │ input:input6 "HDA ATI SB Rear Mic"
                  │ ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input7
                  │ │ input:input7 "HDA ATI SB Line"
                  │ ├─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input8
                  │ │ input:input8 "HDA ATI SB Line Out Front"
                  │ └─/sys/devices/pci0000:00/0000:00:14.2/sound/card0/input9
                  │   input:input9 "HDA ATI SB Line Out Surround"
                  ├─/sys/devices/pci0000:00/0000:00:14.4/0000:01:06.0/ata13/host12/target12:0:0/12:0:0:0/block/sr1
                  │ block:sr1
                  ├─/sys/devices/pci0000...0000:00:14.4/0000:01:06.0/ata13/host12/target12:0:0/12:0:0:0/scsi_generic/sg6
                  │ scsi_generic:sg6
                  ├─/sys/devices/pci0000:00/0000:00:14.5/usb6
                  │ usb:usb6
                  ├─/sys/devices/pci0000:00/0000:00:16.0/usb7
                  │ usb:usb7
                  ├─/sys/devices/pci0000:00/0000:00:16.2/usb3
                  │ usb:usb3
                  ├─/sys/devices/virtual/misc/kvm
                  │ misc:kvm
                  └─/sys/devices/virtual/misc/rfkill
                    misc:rfkill

Comment 8 Fedora End Of Life 2015-05-29 10:40:33 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Fedora End Of Life 2015-06-29 14:45:23 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.